# include/xapian/query.h File Reference

Classes for representing a query. More...

`#include <string>`
`#include <vector>`
`#include <xapian/base.h>`
`#include <xapian/deprecated.h>`
`#include <xapian/types.h>`
`#include <xapian/termiterator.h>`
`#include <xapian/visibility.h>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::Query
| Class representing a query. More...
class | Xapian::Query
| Class representing a query. More...

## Detailed Description

Classes for representing a query.